

package gov.va.med.cds.client.functional.mbean;


public class ReponseValidatorMBeanInfo
    implements
        ReponseValidatorMBeanInfoInterface
{
    private String hostName;
    private String port;
    private String principal;
    private String credentials;
    private String beanKeyName;
    private String updateOperationName;
    private String readOperationName;
    private String operationAttriuteType;
    private boolean validationFlag;


    public void setHostName( String host )
    {
        this.hostName = host;
    }


    public void setPort( String port )
    {
        this.port = port;
    }


    public void setPrincipal( String principal )
    {
        this.principal = principal;
    }


    public void setCredentials( String credentials )
    {
        this.credentials = credentials;
    }


    public void setBeanKeyName( String beanKeyName )
    {
        this.beanKeyName = beanKeyName;
    }


    public String getHostName( )
    {
        return this.hostName;
    }


    public String getBeanKeyName( )
    {
        return beanKeyName;
    }


    public String getCredentials( )
    {
        return credentials;
    }


    public String getPort( )
    {
        return port;
    }


    public String getPrincipal( )
    {
        return principal;
    }


    public boolean isValidationFlag( )
    {
        return validationFlag;
    }


    public void setValidationFlag( boolean validationFlag )
    {
        this.validationFlag = validationFlag;
    }


    public String getOperationAttriuteType( )
    {
        return operationAttriuteType;
    }


    public void setOperationAttriuteType( String operationAttriuteType )
    {
        this.operationAttriuteType = operationAttriuteType;
    }


    public String getReadOperationName( )
    {
        return readOperationName;
    }


    public void setReadOperationName( String readOperationName )
    {
        this.readOperationName = readOperationName;
    }


    public String getUpdateOperationName( )
    {
        return updateOperationName;
    }


    public void setUpdateOperationName( String updateOperationName )
    {
        this.updateOperationName = updateOperationName;
    }
}
